import { Description } from "./Description";
import { LinearGraphRangeDescription } from "./LinearGraphRangeDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class LinearGaugeDescription extends Description {
    static $t: Type;
    private cp;
    get fontFamily(): string;
    set fontFamily(a: string);
    private x;
    get fontSize(): number;
    set fontSize(a: number);
    private cr;
    get fontWeight(): string;
    set fontWeight(a: string);
    private cq;
    get fontStyle(): string;
    set fontStyle(a: string);
    private c3;
    get width(): string;
    set width(a: string);
    private ct;
    get height(): string;
    set height(a: string);
    private ck;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private a6;
    get transitionProgress(): number;
    set transitionProgress(a: number);
    private cz;
    get orientation(): string;
    set orientation(a: string);
    private h;
    get ranges(): LinearGraphRangeDescription[];
    set ranges(a: LinearGraphRangeDescription[]);
    private f;
    get rangeBrushes(): string[];
    set rangeBrushes(a: string[]);
    private g;
    get rangeOutlines(): string[];
    set rangeOutlines(a: string[]);
    private ae;
    get minimumValue(): number;
    set minimumValue(a: number);
    private s;
    get actualMinimumValue(): number;
    set actualMinimumValue(a: number);
    private ad;
    get maximumValue(): number;
    set maximumValue(a: number);
    private r;
    get actualMaximumValue(): number;
    set actualMaximumValue(a: number);
    private a7;
    get value(): number;
    set value(a: number);
    private cy;
    get needleShape(): string;
    set needleShape(a: string);
    private cw;
    get needleName(): string;
    set needleName(a: string);
    private au;
    get rangeInnerExtent(): number;
    set rangeInnerExtent(a: number);
    private ax;
    get scaleInnerExtent(): number;
    set scaleInnerExtent(a: number);
    private av;
    get rangeOuterExtent(): number;
    set rangeOuterExtent(a: number);
    private ay;
    get scaleOuterExtent(): number;
    set scaleOuterExtent(a: number);
    private al;
    get needleInnerExtent(): number;
    set needleInnerExtent(a: number);
    private ap;
    get needleOuterExtent(): number;
    set needleOuterExtent(a: number);
    private ak;
    get needleInnerBaseWidth(): number;
    set needleInnerBaseWidth(a: number);
    private ao;
    get needleOuterBaseWidth(): number;
    set needleOuterBaseWidth(a: number);
    private an;
    get needleInnerPointWidth(): number;
    set needleInnerPointWidth(a: number);
    private ar;
    get needleOuterPointWidth(): number;
    set needleOuterPointWidth(a: number);
    private am;
    get needleInnerPointExtent(): number;
    set needleInnerPointExtent(a: number);
    private aq;
    get needleOuterPointExtent(): number;
    set needleOuterPointExtent(a: number);
    private y;
    get interval(): number;
    set interval(a: number);
    private a2;
    get ticksPostInitial(): number;
    set ticksPostInitial(a: number);
    private a3;
    get ticksPreTerminal(): number;
    set ticksPreTerminal(a: number);
    private aa;
    get labelInterval(): number;
    set labelInterval(a: number);
    private z;
    get labelExtent(): number;
    set labelExtent(a: number);
    private ab;
    get labelsPostInitial(): number;
    set labelsPostInitial(a: number);
    private ac;
    get labelsPreTerminal(): number;
    set labelsPreTerminal(a: number);
    private af;
    get minorTickCount(): number;
    set minorTickCount(a: number);
    private a4;
    get tickStartExtent(): number;
    set tickStartExtent(a: number);
    private a1;
    get tickEndExtent(): number;
    set tickEndExtent(a: number);
    private a5;
    get tickStrokeThickness(): number;
    set tickStrokeThickness(a: number);
    private c2;
    get tickBrush(): string;
    set tickBrush(a: string);
    private co;
    get fontBrush(): string;
    set fontBrush(a: string);
    private aj;
    get needleBreadth(): number;
    set needleBreadth(a: number);
    private cv;
    get needleBrush(): string;
    set needleBrush(a: string);
    private cx;
    get needleOutline(): string;
    set needleOutline(a: string);
    private as;
    get needleStrokeThickness(): number;
    set needleStrokeThickness(a: number);
    private ah;
    get minorTickStartExtent(): number;
    set minorTickStartExtent(a: number);
    private ag;
    get minorTickEndExtent(): number;
    set minorTickEndExtent(a: number);
    private ai;
    get minorTickStrokeThickness(): number;
    set minorTickStrokeThickness(a: number);
    private cu;
    get minorTickBrush(): string;
    set minorTickBrush(a: string);
    private m;
    get isScaleInverted(): boolean;
    set isScaleInverted(a: boolean);
    private cl;
    get backingBrush(): string;
    set backingBrush(a: string);
    private cm;
    get backingOutline(): string;
    set backingOutline(a: string);
    private w;
    get backingStrokeThickness(): number;
    set backingStrokeThickness(a: number);
    private u;
    get backingInnerExtent(): number;
    set backingInnerExtent(a: number);
    private v;
    get backingOuterExtent(): number;
    set backingOuterExtent(a: number);
    private az;
    get scaleStartExtent(): number;
    set scaleStartExtent(a: number);
    private aw;
    get scaleEndExtent(): number;
    set scaleEndExtent(a: number);
    private c0;
    get scaleBrush(): string;
    set scaleBrush(a: string);
    private c1;
    get scaleOutline(): string;
    set scaleOutline(a: string);
    private a0;
    get scaleStrokeThickness(): number;
    set scaleStrokeThickness(a: number);
    private l;
    get isNeedleDraggingEnabled(): boolean;
    set isNeedleDraggingEnabled(a: boolean);
    private cg;
    get transitionDuration(): number;
    set transitionDuration(a: number);
    private cf;
    get showToolTipTimeout(): number;
    set showToolTipTimeout(a: number);
    private n;
    get showToolTip(): boolean;
    set showToolTip(a: boolean);
    private cn;
    get font(): string;
    set font(a: string);
    private at;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private t;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private cs;
    get formatLabelRef(): string;
    set formatLabelRef(a: string);
    private cj;
    get alignLabelRef(): string;
    set alignLabelRef(a: string);
}
